Bug 117973 - rsync produces error "TCP: Treason uncloked!"
rsync produces error "TCP: Treason uncloked!"
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: kernel (Show other bugs)
2.1
All Linux
medium Severity high
: ---
: ---
Assigned To: Simo Sorce
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-03-10 12:19 EST by Need Real Name
Modified: 2007-11-30 17:06 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-19 15:23:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2004-03-10 12:19:59 EST
Description of problem:
Error message from using rsync produces errors displayed in dmesg. 
This may be leading to system crashes (kernel panics).

Version-Release number of selected component (if applicable):


How reproducible:
rsync files from peer and error messages (below in expected results)
are produced.

Steps to Reproduce:
1. rsync files from peer
2. after about 10 hours (about 100 rsync transactions) kernel exits on
panic (may not be related to this)
3.
  
Actual results:


Expected results:
TCP: Treason uncloaked! Peer 170.140.208.238:873/33407 shrinks window
324887339:324888787. Repaired.
TCP: Treason uncloaked! Peer 170.140.208.238:873/33407 shrinks window
324887339:324888787. Repaired.
TCP: Treason uncloaked! Peer 170.140.208.238:873/33407 shrinks window
324887339:324888787. Repaired.
TCP: Treason uncloaked! Peer 170.140.208.238:873/33407 shrinks window
324887339:324888787. Repaired.
TCP: Treason uncloaked! Peer 170.140.208.238:873/33407 shrinks window
324887339:324888787. Repaired.
TCP: Treason uncloaked! Peer 170.140.208.238:873/33407 shrinks window
324887339:324888787. Repaired.
TCP: Treason uncloaked! Peer 170.140.208.238:873/33407 shrinks window
325004627:325006075. Repaired.
TCP: Treason uncloaked! Peer 170.140.208.238:873/33407 shrinks window
325004627:325006075. Repaired.
TCP: Treason uncloaked! Peer 170.140.208.238:873/33407 shrinks window
325030691:325032139. Repaired.
TCP: Treason uncloaked! Peer 170.140.208.238:873/33407 shrinks window
325262371:325263819. Repaired.
TCP: Treason uncloaked! Peer 170.140.208.238:873/33407 shrinks window
325262371:325263819. Repaired.
TCP: Treason uncloaked! Peer 170.140.208.238:873/33452 shrinks window
4128686940:4128688388. Repaired.
TCP: Treason uncloaked! Peer 170.140.208.238:873/33452 shrinks window
4128686940:4128688388. Repaired.
TCP: Treason uncloaked! Peer 170.140.208.238:873/33452 shrinks window
4128686940:4128688388. Repaired.
TCP: Treason uncloaked! Peer 170.140.208.238:873/33452 shrinks window
4128697076:4128698524. Repaired.
TCP: Treason uncloaked! Peer 170.140.208.238:873/33503 shrinks window
3649824235:3649825683. Repaired.
TCP: Treason uncloaked! Peer 170.140.208.238:873/33503 shrinks window
3649824235:3649825683. Repaired.
TCP: Treason uncloaked! Peer 170.140.208.238:873/33452 shrinks window
4128772372:4128773820. Repaired.
TCP: Treason uncloaked! Peer 170.140.208.238:873/33452 shrinks window
4128772372:4128773820. Repaired.
TCP: Treason uncloaked! Peer 170.140.208.238:873/33503 shrinks window
3649850299:3649851747. Repaired.


Additional info:
Comment 1 Dave Jones 2004-12-03 23:35:30 EST
the tcp messages come from the kernel, and indicate that its fixed up packets
from a broken tcp stack.  It's very likely unrelated to the crashes you see.
Comment 2 Simon Matter 2005-07-20 05:30:22 EDT
I see the same errors between some RH9 and RHES3 machines. I have never seen a
crash however. I'm still not sure about the 'broken tcp stack' thing.
Comment 3 Dan Carpenter 2005-07-20 13:39:53 EDT
The "broken tcp stack" stuff means that the networking code on the system you
are communicating with is rubbish.

Basically you should worry more about the system on the other end of the wire
and not the system printing the messages.

Comment 4 Simon Matter 2005-07-25 02:58:42 EDT
So, what you say is that RHES3 has a "broken tcp stack"?

Box 192.168.1.2 is RHES3 and I get this on my backup server:
TCP: Treason uncloaked! Peer 192.168.1.2:514/1023 shrinks window
4193958022:4193958262. Repaired.
Comment 5 Michael Berger 2007-04-17 11:53:43 EDT
It appears this is in fact a kernel bug that was introduced in the 2.1.8 kernel.
 Here is a link to the article in the mailing list: 

http://git.kernel.org/?p=linux/kernel/git/torvalds/linux-2.6.git;a=commitdiff;h=2ad41065d9fe518759b695fc2640cf9c07261dd2

I am not having problems with rsync but with httpd.
Comment 6 Simo Sorce 2007-05-14 15:48:03 EDT
This ios clearly a kernel bug reasssigning
Comment 7 RHEL Product and Program Management 2007-10-19 15:23:07 EDT
This bug is filed against RHEL2.1, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products.  Since
this bug does not meet that criteria, it is now being closed.

For more information of the RHEL errata support policy, please visit:
http://www.redhat.com/security/updates/errata/

If you feel this bug is indeed mission critical, please contact your
support representative.  You may be asked to provide detailed
information on how this bug is affecting you.

Note You need to log in before you can comment on or make changes to this bug.